curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/shipping-method' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"method": "Standard"
}'
{
"data": {
"amount": "49.00",
"estimated_days": 1,
"method": "Standard"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Set shipping method
Shipping method selected
PUT
/
api
/
v1
/
checkout
/
{session_id}
/
shipping-method
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/shipping-method' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"method": "Standard"
}'
{
"data": {
"amount": "49.00",
"estimated_days": 1,
"method": "Standard"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Path parameters
string (uuid)
required
Checkout session id
Request body
ShippingMethodRequest
ShippingMethod
required
Response
ApiResponse_ShippingRate
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Shipping method selected |
400 | Invalid request |
401 | Unauthorized |
404 | Not found |
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/shipping-method' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"method": "Standard"
}'
{
"data": {
"amount": "49.00",
"estimated_days": 1,
"method": "Standard"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026